#
# spec file for package netsaint-plugins (Version 1.2.9)
# 
# Copyright  (c)  2002  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  fping iputils mysql-devel mysql-shared openldap openldap-devel openssh openssl openssl-devel postgresql-devel postgresql-libs radiusclient ucdsnmp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex fping gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip iputils kbd less libtool libz m4 make man mktemp modutils mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg openldap openldap-devel openssh openssl openssl-devel pam pam-devel patch perl postgresql-devel postgresql-libs ps radiusclient rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone ucdsnmp unzip util-linux vim

Name:         netsaint-plugins
Summary:      NetSaint plugins
Version:      1.2.9
Release:      141
URL:          http://netsaintplug.sourceforge.net/
Copyright:    GPL
Group:        Applications/System
Autoreqprov:  on
Requires:     netsaint
%define       subversion 4
Source0:      http://netsaintplug.sourceforge.net/src/%{name}-%{version}-%{subversion}.tar.bz2
Patch0:       check_mrtg.diff
Patch1:	      check_nwstat.diff
Patch2:       check_by_ssh.diff
Patch3:       ping.dif
BuildRoot:    %{_tmppath}/%{name}-root
%define nsusr daemon
%define nsgrp daemon

%description
these plugins are needed for NetSaint's checks.

Authors:
--------
    Karl DeBisschop <kdebisschop@users.sourceforge.net> 
    and others

SuSE series: n

%package  extras
Summary:      NetSaint plugins which depend on additional packages
Group:    Applications/System
Requires: netsaint-plugins ucdsnmp fping

%description extras
These plug-ins are additional plug-ins for netsaint-plugins.
They depend on other packages which have to be installed.

Authors:
--------
    Karl DeBisschop <kdebisschop@users.sourceforge.net> 
    and others

SuSE series: n

%prep
%setup -n %{name}-%{version}-%{subversion} 
%patch0
%patch1
%patch2
%patch3
%{?suse_update_config:%{suse_update_config}}

%build
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--prefix=%{_prefix} \
	--libexecdir=%{_prefix}/lib/netsaint/plugins \
	--with-netsaint-user=%{nsusr} \
	--with-netsaint-group=%{nsgrp} \
	--with-cgiurl=/netsaint/cgi-bin
make all

%install
make DESTDIR=${RPM_BUILD_ROOT} install
install -d $RPM_BUILD_ROOT/etc/netsaint
install -m 664 command.cfg $RPM_BUILD_ROOT/etc/netsaint

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%dir /etc/netsaint
%config(missingok,noreplace) /etc/netsaint/command.cfg
%doc AUTHORS COPYING ChangeLog FAQ NEWS README REQUIREMENTS
/usr/lib/netsaint/plugins/check_breeze
/usr/lib/netsaint/plugins/check_by_ssh
/usr/lib/netsaint/plugins/check_dig
/usr/lib/netsaint/plugins/check_disk
/usr/lib/netsaint/plugins/check_disk_smb
/usr/lib/netsaint/plugins/check_dns
/usr/lib/netsaint/plugins/check_dummy
/usr/lib/netsaint/plugins/check_flexlm
/usr/lib/netsaint/plugins/check_ftp
/usr/lib/netsaint/plugins/check_http
/usr/lib/netsaint/plugins/check_imap
/usr/lib/netsaint/plugins/check_ircd
/usr/lib/netsaint/plugins/check_load
/usr/lib/netsaint/plugins/check_log
/usr/lib/netsaint/plugins/check_mrtg
/usr/lib/netsaint/plugins/check_mrtgtraf
/usr/lib/netsaint/plugins/check_netdns
/usr/lib/netsaint/plugins/check_netsaint
/usr/lib/netsaint/plugins/check_nntp
/usr/lib/netsaint/plugins/check_nt
/usr/lib/netsaint/plugins/check_ntp
/usr/lib/netsaint/plugins/check_nwstat
/usr/lib/netsaint/plugins/check_oracle
/usr/lib/netsaint/plugins/check_overcr
/usr/lib/netsaint/plugins/check_ping
/usr/lib/netsaint/plugins/check_pop
/usr/lib/netsaint/plugins/check_procs
/usr/lib/netsaint/plugins/check_real
/usr/lib/netsaint/plugins/check_rpc
/usr/lib/netsaint/plugins/check_sensors
/usr/lib/netsaint/plugins/check_smtp
/usr/lib/netsaint/plugins/check_ssh
/usr/lib/netsaint/plugins/check_swap
/usr/lib/netsaint/plugins/check_tcp
/usr/lib/netsaint/plugins/check_time
/usr/lib/netsaint/plugins/check_udp
/usr/lib/netsaint/plugins/check_ups
/usr/lib/netsaint/plugins/check_users
/usr/lib/netsaint/plugins/check_vsz
/usr/lib/netsaint/plugins/check_wave
/usr/lib/netsaint/plugins/urlize
/usr/lib/netsaint/plugins/utils.pm
/usr/lib/netsaint/plugins/utils.sh

%files extras
/usr/lib/netsaint/plugins/check_hpjd
/usr/lib/netsaint/plugins/check_ldap
/usr/lib/netsaint/plugins/check_mysql
/usr/lib/netsaint/plugins/check_pgsql
/usr/lib/netsaint/plugins/check_radius
/usr/lib/netsaint/plugins/check_snmp
/usr/lib/netsaint/plugins/check_fping

%changelog -n netsaint-plugins
* Tue Jan 15 2002 - stark@suse.de
- fixed check_ping to fit new ping output (#12769)
* Wed Nov 07 2001 - stark@suse.de
- use AM_INIT_AUTOMAKE
* Mon Aug 27 2001 - ro@suse.de
- fix for current ping output (round-trip is called rtt now)
- bzip source
* Mon Jul 30 2001 - stark@suse.de
- added openssl to #neededforbuild
* Fri Jul 27 2001 - kukuk@suse.de
- change postgresql-lib -> postgresql-libs
* Mon Jul 16 2001 - stark@suse.de
- added mysql-shared to #neededforbuild
* Tue Jul 10 2001 - stark@suse.de
- package splitted (netsaint-plugins-extras for dependent functions
- added check_fping
* Mon Jul 09 2001 - stark@suse.de
- fixed #ifdef in check_mrtg.c, check_nwstat.c, check_by_ssh.c
* Mon Jun 18 2001 - stark@suse.de
- removed openldap-client from neededforbuild
* Mon May 14 2001 - stark@suse.de
- update to release 1.2.9-4
* Thu Apr 19 2001 - stark@suse.de
- initial package 1.2.9-3
